Skip to main content
GET
Read Customer Meter

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the customer meter.

Response

Request completed successfully

Object representing active customer meter, with current consumed and credited units.

id
string<uuid4>
required

The stable identifier for this record.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

customer_id
string<uuid4>
required

Unique identifier for the customer.

Example:

"992fae2a-2a17-4b7a-8d9e-e287cf90131b"

meter_id
string<uuid4>
required

Unique identifier for the meter.

Example:

"d498a884-e2cd-4d3e-8002-f536468a8b22"

consumed_units
number
required

Count of consumed units.

Example:

25

credited_units
integer
required

Count of credited units.

Example:

100

balance
number
required

Balance: Balance of the meter, i.e. the difference between credited and consumed units.

Example:

75

customer
CustomerIndividual · object
required

Customer: Customer associated with this meter.

meter
Meter · object
required

Meter: Meter associated with this customer.